Introducing Outpost Firewall

New Outpost Personal Firewall Pro 2.1 is another step forward compared to the award-winning 2.0 version.
Outpost Personal Firewall Pro 2.1 gives you the latest in personal firewall technology, making version 2.1 the clear security choice for your system.

These Outpost features provide a superior arsenal of defense against PC infiltration:

Security Features

  • Detects and blocks all intrusions by hackers;

  • Blocks data theft attempts;

  • Operates your computer into stealth mode, making it invisible to intruders;

  • Analyzes your Inbox and quarantines Internet worms and viruses;

Control Features

  • Monitors network activity of your PC;

  • Protects your children from illegal, inappropriate web sites;

  • Provides full access to a thorough history of your connections;

Privacy Features

  • Prevents data leak from your PC;

  • Averts invasions of your privacy through the Internet;

  • Conceals your surfing habits when browsing the Web;

Ease of Use

  • Runs under all* Windows systems on any Internet connection with any** applications;

  • Auto-configures for your best protection during installation;

  • Updates information frequently through a custom utility, to ensure your protection against new attacks.

(*) All recent Windows versions: 98, 98SE, ME, NT4, 2000, XP, and 2003 Server

(**) Outpost should not be run with any other firewall software; running Outpost with other firewall products can result in system instability (i.e., crashes) and can cause your system to operate in an insecure mode.

For more information about Outpost Firewall please visit http://www.agnitum.com/products/outpost/


Understanding Internet Dangers

We have all heard of the dangers of the Internet and Cyberspace. Although some of these have been greatly exaggerated, it does not alter the fact that a computer connected to the Internet is open to very real attacks. Unfortunately, there are psychotics and criminals (possibly the same thing) who feel compelled to make life difficult for others. Some of these know about computers and how to access files remotely. These are called crackers. To keep them out of our systems we need to use a strong firewall.

Here are the main dangers:

  • Unauthorized applications can be delivered to your computer and be executed without your knowledge or control (for example, ActiveX or Java applets embedded in a web page you are browsing). These programs can perform any operation on your computer, including transferring files containing your private information to other computers or simply erasing all the files on your system.

  • If your system is not properly configured other computers can access your files directly without someone having to surreptitiously load special software on your computer.

  • Some information (in the form of cookies or referrers) can be placed on your computer, so advertisers and others can track the sites you visit and what your interests are.

  • Trojan horses can be placed on your computer. Trojans are programs used by hackers (crackers) that open the door to your private information, such as passwords, banking data and credit card numbers. One of the fundamental differences between a Trojan and a virus is a virus on your computer executes autonomously, whereas a Trojan horse is constructed to be used directly by a remote intruder.

  • Internet worms can get to your computer as attachments to e-mail messages. Some e-mail programs open attachments without asking for permission. Some users, unaware of threats, open all attachments manually. Once opened, the worm executes and rapidly infects your system.

  • Unnecessary data in the form of banners and other advertisements use up your bandwidth. Although these objects cannot directly access or damage the data on your computer, they can significantly slow your connection, especially on a dial-up.

  • Spyware is in many ways similar to Trojans. These programs gather information about you and your interests (such as your surfing habits, what other software you have on your PC, etc.) without your knowledge or consent. Spyware is mostly used by on-line or software corporations for marketing purposes.


Contacting Technical Support

If you need help with the Outpost Personal Firewall system, please visit its support pages at http://www.agnitum.com/support/ for available support options including FAQs, Documentation, Forum, tips-n-tricks and Troubleshooting.

If you are using the free version of Outpost Firewall, we cannot also supply free personalized support.

Related Topics

Benefits of the Outpost PRO


How to Order

Outpost Firewall PRO is available for your free evaluation. You are entitled to evaluate the software for up to 30 days without obligation to pay. After 30 days, if you decide to keep the software, you must register your copy with us for a small fee.

For pricing information please visit http://www.agnitum.com/purchase/.

Related Topics

Benefits of the Outpost PRO


Benefits of the Outpost PRO

The following is the list of features that makes Outpost Firewall Pro 2.1 the clear security choice for your system.

Features

Benefits

Security and Privacy

Components Control (Anti-Leak)

This feature monitors each component of each run making it impossible for a rogue virus to be injected into a trusted application.

Stateful Inspection

This firewall technology keeps track of active TCP and UDP sessions and is more secure than packet filtering because it opens a narrower path for traffic.

Boot Up Protection

During Windows’ start-up, Outpost Firewall 2.1 begins protecting your system before any malicious program has a chance to be loaded. Outpost Firewall 2.1 protects your system from first start up to final shut down.

Password protection

This protects your settings so they cannot be changed without your permission.

Flash banner blocking

Improved advertisement blocking removes more ads than traditional firewalls because it also filters out Flash banners.

Web Active Content Filtering

Improved Web Active Content Filtering feature provides for easier, more flexible and effective way to control Web pages active elements (ActiveX, scripts, etc.) behaviour.

Control and Performance

Flexible visual alerts

Outpost Firewall alerts you of the events that require your immediate attention so that you can provide quick and appropriate response.

Automatic updates

The Agnitum Update utility provides for keeping your Outpost Firewall up-to-date with latest updates so that you are assured of the optimum protection level at any time.

Advanced logging system

The database driven logging system gives you full access to the history of your connections with capabilities never before seen in any personal firewall log. You can view, filter, copy and export logs for future analyses.

Multiple configurations

  • Create different configurations for you and your family members or colleagues.

  • Prevent your children from chatting online or accessing unwanted sites (sex, games, bomb making).

  • Switch configurations between "Work", "Rest", "I am away", "Block Everything", and "Children" using one mouse click.

  • Easily back up your configurations.

Apply rules without need of interface

  • Can block unwanted traffic or content in a way that's completely hidden from users.

  • Can run as a service without need of interface, thus saving computer resources.

Advanced rule creation features

  • Specify time intervals so applications can be allowed or blocked depending on the time of day and/or day of week.

  • Specify system and application independent rules

  • “Running application if rule is triggered” allows the launching of any application or the playing of any sound or even a shutdown of the computer! For example, if your children decide to play an online game, then a warning text from the parent can be shown and the online game is blocked.

  • “Reporting of important activities” shows a message box whenever a particular rule is triggered. For example, a warning message appears whenever someone connects to your PC or when spyware tries to send your personal information over the Internet.

Low resource usage

  • 70% less CPU load thanks to a new connection display routine.

  • 40% less memory requirements due to its new logging system.

  • Now Outpost Firewall can handle up to 1Gb/s of continual traffic and guard more than 200 simultaneous connections.

Trusted IP group

Can allow all network activity for trusted home or work place computers.

Ease of use and Compatibility

Auto-configuration

Can auto-configure your Applications, System and Local Network settings during the installation process.

ICS Support

Work on home or office networks that are based on the Microsoft Connection Sharing solution. ICS is supported for both clients and gateways.

Remote Desktop and Fast User Switching Support

Supports these popular Windows XP features.

Related Topics

How to Order

Contacting Technical Support


Outpost Firewall: What’s new

What’s New in Version 2.1?

Agnitum’s Outpost Firewall 2.1 features improvements that make it more reliable, flexible and easy to use. Version 2.1 includes these new features and improvements:

Ease of Use

  • Seamless migration from earlier versions with the help of Agnitum Update tool;

  • Visual alerts that inform you about events requiring your immediate attention so that you can provide appropriate and timely response;

  • Multiple user interface enhancements provide for easier and more intuitive program operation.

Security and Privacy

  • Improved Active Content filtering allows to individually configure interactive content treatment for specific sites and provides for management of broader range of active content elements and improved security and better privacy protection.

Functionality and Performance

  • Improved Advertisement blocking provides for more convenient banner ads treatment and supports personalized settings for specific sites;

  • Improved Content filtering also allows to display a custom message for sites that contain abusive content;

  • Improved logging system automatically maintains optimum log size for best performance;

  • Optimized code provides for lesser CPU and memory usage.

Compatibility

  • Stability has been taken to a new level. Hundreds of minor to severe issues in the previous version have been fully addressed.

Related links

Introducing Outpost Firewall

Understanding Internet Dangers


Outpost Firewall's Main Window

The main window is your central control panel of Outpost Firewall. It is used to monitor the network operations of the computer and to modify the firewall settings.

To display Outpost Firewall's main window:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

The main window contains:

  • Outpost Firewall's menu

  • The tool bar

  • Folder bar

  • Left Panel

  • Information Panel

  • Status bar


Left Panel

  • Network Activity—all objects having a network connection or other network activity.

  • Open Ports—all objects with an open port for a network connection.

  • Allowed displays the general statistics for all connections that Outpost Firewall allowed.

  • Blocked displays the general statistics for all connections that Outpost Firewall blocked.

  • Reported displays the general statistics for all attempts by applications and connections to access the Internet or LAN that you specified Outpost Firewall to report to you.

  • Ads displays the general statistics for all the ads that were blocked.

  • Content displays the general statistics for the web sites or pages that were blocked by this plug-in and the reason why.

  • DNS Cache displays the general statistics for the web addresses saved by Outpost Firewall to speed up your Internet connection to those sites.

  • Active Content displays the general statistics for the sites that had some of its active content blocked based on the settings for Java, VB Script, ActiveX and other active content elements.

  • Attachments Filter displays the general statistics for all the e-mail file attachments that were neutralized and quarantined from your computer

  • Attack Detection displays the general statistics for any suspected attacks on your computer from the Internet, the ports involved and where the attacks are from.

Outpost Panels

The Left Panel and Information Panel are similar to the left and right panels of Windows Explorer. The Left Panel is a listing of the components and the Information Panel gives specific data about any component highlighted in the Left Panel.

There are two groups of objects shown in the Left Panel.

    • Outpost Connection Monitor objects (click to expand)

    • Outpost Event Log objects (click to expand)

As with Windows Explorer, any line that starts with a plus sign (+) can be expanded to show each of its subcategories. Any line starting with a minus sign (-) shows that the line has already been expanded. By clicking on the minus sign, all of its subcomponents can be hidden so only the type of component is displayed to conserve screen space.

Selecting the My Internet from the tree takes you to the screen that displays information about current license key, latest security news from Agnitum and provides easy access to the Outpost configuration settings.

Tip

If you don not wish to view the Agnitum site news, right-click My Internet and clear the Enable news download option.

Related Topics

About Outpost Connection Monitor


The System Tray Menu

Outpost in the System Tray

The system tray is the right most part of the Windows task bar. The blue circle with the question mark is Outpost Firewall's icon.

This icon is one of the primary ways you can access Outpost Firewall's many controls, settings and logs. This icon changes with each of Outpost Firewall's major polices so you can see which policy is being used to protect your system at any time. These polices are covered in Firewall Policy.

When you right-click on Outpost Firewall's system tray icon you get its context sensitive menu. You can select any of these items on this menu by clicking its name with your mouse:

    • Show Outpost Firewall displays Outpost Firewall's main window.

    • Policy opens a sub-menu where you can change Outpost Firewall's Policy to: Disable mode, Allow most mode, Rules Wizard, Block most mode or Stop all.

    • Options… displays the Options dialog window.

    • Always on top when selected, keeps Outpost Firewall's current window on top of all other windows.

    • About… shows the current version of Outpost Firewall and lists each module in the package and their individual versions.

    • Exit - closes Outpost Firewall's GUI but leaves the firewall running in memory blocking connections and banners, etc.

    • Exit and Shutdown Outpost - closes the GUI and stops the firewall so Outpost Firewall is no longer protecting your system.


The Toolbar

The toolbar is close to the top of the main window. You can see what each button does by holding your cursor over it for a second or so. Each button on the toolbar is a shortcut to a menu item except the update button. These buttons are simply an easy and direct path to their functions rather than having to go through several different menus or dialog windows to access these same functions.

Here are all the buttons found on the Toolbar:

Button | Function | Corresponding Menu Path
 | Changes Outpost Firewall's overall Policy | Options | Policy
 | Accesses the Options dialog window | Options
 | Changes the items a listing is grouped by | View | Group by
 | Narrows a log listing to events within a specified time | View | Filter by time
 | Checks for an update of Outpost Firewall’s plug-ins or components | Tools | Agnitum Update
 | Opens Outpost Log Viewer that displays the logs | Tools | Log Viewer…
 | Activates Outpost Firewall’s Context Help feature | Help | Context Help
Note

Only some of these buttons are visible (active) at any one time, depending on what is highlighted in the Left Panel or the Information Panel.


The Status Bar

The status bar is the bottom most part of the Outpost Firewall main window.

It displays:

    • A tool tip—description of any tool bar button you place your mouse cursor over;

    • Information about current policy mode.


Outpost Connection Monitor

Outpost Connection Monitor shows the currently active connections and the details of these connections. Outpost Connection Monitor shows:

    • Network Activity—all objects having a network activity (connections, scanning etc).

    • Open Ports—all objects with an open port for a network connection.

The following topics give you more information about customizing Outpost Connection Monitor:

Selecting the items to be displayed

Grouping connections

Configuring columns to be displayed


Selecting the Items to be Displayed

To select an Outpost Connection Monitor object to be displayed:

  1. Click on My Internet

  2. Select View from Outpost Firewall's menu

  3. Select Layout

  4. Check the items you want to be displayed and uncheck the items you want to hide

Related Topics

Grouping connections

Configuring columns to be displayed


Grouping Connections

Group By is a very useful selection on Outpost Firewall's View menu. Using it, you can get the information you need very quickly. Normally, the information is grouped by application, which is generally the most useful grouping of information.

To access the Group By selection:

  1. Highlight in the Left Panel one of the Outpost Connection Monitor objects (Network Activity, Open Ports).

  2. Click on the View menu.

  3. Select Group By and then select one of the criteria:

    • Process

    • Protocol

    • Local Host (your computer)

    • Local Port (on your computer)

    • Remote Host (another computer than yours)

    • Remote Port (on the other computer)

Related Topics

Selecting the items to be displayed

Configuring columns to be displayed


Configuring Columns to be Displayed

The Information Panel gives specific data about any component highlighted in the Left Panel. All connection details showing in the Information Panel can be divided into two groups:

  1. Column Headers— fields that are always shown

  2. Listed Fields— fields that are shown if you press the plus sign (+) that precedes each line in the Information Panel.

To configure Outpost Firewall to show in the Information Panel only those data in which you are interested:

  1. Highlight one of the Outpost Connection Monitor objects (Network Activity, Open Ports).

  2. Select Columns from the View menu.

  3. Using the Add or Remove button, select the Column Headers and Listed Fields you want to be displayed in the Information Panel

Related Topics

Selecting the items to be displayed

Grouping connections


Firewall Policy

One of the most useful and important features of Outpost Firewall is its policies. A policy is the basic attitude you want Outpost Firewall to have in doing its job of policing your computer's access to and by the Internet or any other network your computer may be connected to. The policy of Block most, for example, gives Outpost Firewall a particularly nasty attitude but Allow most makes Outpost Firewall very trusting.

Here are the different polices:

Icon | Mode | Description
 | Stop all | All network connections are blocked.
 | Block most | All network connections are blocked except those you explicitly allow.
 | Rules Wizard | Helps you determine how an application will interact with the network the first time each application is run.
 | Allow most | All network connections are allowed except those you explicitly block.
 | Disable | All network connections are allowed.

The icon shown for each mode is what is displayed in the system tray as the Outpost Firewall icon. You can tell at a glance what mode Outpost Firewall is in by looking at its system tray icon.

Related Topics

Outpost in the System Tray

Changing Firewall Policy

Running in Rules Wizard Mode


Changing Firewall Policy

To change an Outpost Firewall policy:

  1. Click on the Options menu

  2. Select Policy

  3. Change Outpost Firewall policy clicking on the appropriate icon.

Related Topics

What is a Firewall Policy

Running in Rules Wizard Mode


Running in Rules Wizard Mode

When Outpost Firewall is installed, the default mode is Rules Wizard mode. This mode helps you decide whether an application should be allowed a network connection. Rules Wizard facilitates the specifying of applicable network parameters for each type of application.

The Rules Wizard makes your life a little easier. Instead of having to create a new and often complex rule each time a new application is run, Rules Wizard does the work for you by basing its presets on all well-known applications. Rules Wizard even recommends the best selection for you. Unless you know of a better choice, simply okay Outpost's recommendation.

The choices you can make for an application in Rules Wizard mode are as follows:

Choice | Purpose | Result
Allow all activities for this application | For applications you trust completely | All network requests by this application are allowed and the application is given the status Trusted Application.
Block all activities for this application | For applications that should not be allowed network access | All network activities for this application are disabled. The application is given the status Blocked application.
Create rules using preset | For applications that can obtain network access under specific protocols, via specific ports, etc | Creates a rule for the application that limits network access to specific ports and protocols using presets worked out by our engineers that are optimum for most purposes. This application will be included in the Partially allowed applications list.
Allow once | For applications that you are doubtful of but want to see what they do with the connection | This network connection is allowed this time. The next time this application tries to establish a network connection, this same dialog window appears. No rule is created for the application.
Block once | For applications that you do not trust but do not want to block totally | This network connection will be blocked this time. The next attempt by this application to establish a network connection results in this same dialog window. No rule is created for the application.

You can also create your own rule for an application rather than select one of the presets. To create a rule:

  1. Click on the down arrow at the right side of the Create rules using preset pull down

  2. Go right to the last selection at the bottom of the pull-down list and select Other

  3. Click the OK button.

This brings up the Rules dialog where you can create any rule for this application. For more information about creating such rules read the Application rules chapter.

Note

The Allow Once and Block Once buttons are available only for some connections (outgoing TCP connections). When these functions are unavailable, their buttons are grayed out.

Related Topics

Changing Firewall Policy

Running in Rules Wizard Mode


Application Level Filtering

One of Outpost's most important features is application level filtering. This lets you decide which applications should have access and which should not.

Outpost Firewall divides all applications into three categories:

    • Blocked—All activity of this group is blocked. We recommend that you add to this group all applications that do not need Internet access, such as text editors, calculators, etc.

    • Partially Allowed—Outpost Firewall allows access to the Internet for these applications based on the rules that were created by you manually or from presets. Only specified application activity is allowed. We advise that you put most of your applications in this group.

    • Trusted—All activity for these applications is allowed. It is not recommended that you include an application in this group unless you trust it absolutely.

Related Topics

Viewing List of Applications

Working with Application rules

System Level Filtering


Changing Components Control Level

Changing Component Control Level

To change Components Control level for all applications:

  1. Select Options

  2. Select Application

  3. Click Components

  4. Click on the drop-down menu on the Components

    window and select the desired Component Control level

  5. Click OK.

After that, Component Control level applied to all applications will be changed.

Note

In the Components dialog window you can also see monitored components names and their details.

Related Topics

Working with application rules

Adding rules

Viewing List of Applications

Changing application status

Removing Applications


List of Applications

Viewing List of Applications

To display all the applications that have rules:

  1. Select Options

  2. Select Application.

You will see the list of all applications that have rules sorted by their status (Blocked, Trusted, Partially Allowed).

Related Topics

Changing application status

Adding Applications

Removing Applications


Changing Application Status

To change an application's status:

  1. Select Options

  2. Select Application

  3. Highlight the application that needs to be changed

  4. Drag and drop this application, using the mouse, from one category to another or click on the Edit button.

Related Topics

Viewing List of Applications

Adding Applications

Removing Applications


Adding an Application

To add an application to the Outpost Firewall Application Filtering list:

  1. Select Options

  2. Select Application

  3. Click Add

  4. Browse to the folder where the application is stored and click on the application name

  5. Click Open.

After that, the application will be put in the application list and you can create rules for it.

Note

    • You can also directly add an application by dragging its icon from Windows Explorer or your desktop into the Options | Application dialog.

    • If you are using the default Outpost Firewall policy-Rules Wizard, there is no need to add your applications to these groups manually. Outpost Firewall will suggest the rules for it and add them to the application list the first time that application requests Internet access.

Related Topics

Working with application rules

Adding rules

Viewing List of Applications

Changing application status

Removing Applications

Changing Components Control level


Removing an Application

To remove an application from Outpost Firewall's Application Filtering list:

  1. Select Options

  2. Select Application

  3. Highlight the application you want to remove

  4. Click Remove.

Related Topics

Viewing List of Applications

Changing application status

Adding an Application


Application rules

Working with Application Rules

Outpost Firewall has a very easy, step-by-step rules creation algorithm. With it, you can:

    • List all rules for the application

    • Add a rule for application

    • Modify a rule for application

    • Copy a rule for application

    • Remove rule for application

    • Disable rule for application

    • Change rule priority

    • Create rules using presets


Listing Rules

You can list rules for an application only if the application is already in the application list. To list a rule of a particular application:

  1. Select Options

  2. Select Application

  3. Highlight the application to list

  4. Click Edit

  5. In the drop down list, select Modify rules...

This will show you the list of all the rules application has.

Note

You can list rules only for applications that have Partially allowed status.

Related Topics

Copying rule

Disabling rule

Changing rule priority


Adding a Rule

You can add a rule for an application only if the application is already in the application list. If it is not in this list you should Add it to the list. You can add a rule only for an application that has Partially allowed status.

To add a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. In the drop down list, select Modify rules...

  6. You will see the list of all the rules the application has. Click Add

  7. Select the Event to which the rule applies. You can select the criteria for your rule in the Select Event window:

    • Protocol

    • Direction

    • Remote host and port

    • Local host and port

    • Time interval (available only in Outpost Firewall Pro. See Benefits of Outpost PRO).

  8. Selecting a checkbox, in the Select Event window, adds its message to the Rules Description field. If a rule is listed as undefined, you should click on it and select one of its options.

  9. Select an action for your rule in the Action field. It can be:

    • Allow it—Allows this communication.

    • Block it—Drops the packet. The source is not notified so it appears that the packet never arrived at the destination.

    • Report it—Displays a message box when a rule is triggered (available only in Outpost Firewall Pro. See Benefits of Outpost PRO).

    • Run application—Runs any application when a rule is triggered (available only in Outpost Firewall Pro. See Benefits of Outpost PRO)

    • Stateful Inspection — activates Stateful Inspection

  10. Assign a name to the rule in the Name of the Rule field.

  11. Click OK.

Related Topics

Listing rules

Copying rule

Removing rule

Changing rule priority

Creating rules using presets


Modifying a Rule

To modify a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list select Modify rules...

  6. Highlight the rule you want to modify

  7. Modify a rule by adding new criteria or clicking on a blue link in the Rule Description field and change its old values.

  8. Click OK.

Related Topics

Listing rules

Copying rules

Removing rules

Disabling rules

Changing rule priority


Copying rule

Copying Rules

To copy a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list select Modify rules...

  6. Highlight the rule you want to copy

  7. Press the Copy button.

After that, Outpost will create a copy of this rule.

Note

You cannot copy a rule from one application to another.

Related Topics

Adding rules

Listing rules

Removing rules

Disabling rules


Removing a rule

Removing Rules

To remove a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On drop the down list, select Modify rules...

  6. Highlight the rule you want to remove

  7. Press the Remove button.

Related Topics

Listing rules

Modifying rules

Disabling rules

Changing rule priority


Disabling rule

Disabling Rules

To disable a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list, select Modify rules...

  6. Uncheck the checkbox on the left site of the rule.

Related Topics

Listing rules

Removing rules

Changing rule priority


Changing Rule Priority

To change a rule priority of an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list, select Modify rules...

  6. Highlight the rule to modify

  7. Click on Move Up to increase the rule's priority or Move Down to lower it.

  8. Click OK.

Important

Outpost Firewall uses the first instance of a rule having several criteria that match the application's activity and ignores all subsequent ones. The rules in the firewall rules list are processed in the order in which they are listed. Once a rule is matched, searching of the rules list stops. In other words, any other rules that match this type of communication are ignored, if they are further on the list than the first rule that matches.

Related Topics

Adding rules

Listing rules

Modifying rules

Disabling rules


Creating Rules Using Presets

You can create a rule for an application only if the application is already in the application list. If this application is not in the list, you should Add it to the list.

To create a rule for an application using presets:

1. Select Options

2. Select Application

3. Highlight the application

4. Click Edit

5. On the drop down list, select Create Rules Using Presets...

6. Select the rules of the preset you want to add to this application.

Note

You can create a rule only for the applications that have Partially allowed status.

Related Topics

Adding rules

Listing rules

Copying rule

Changing rule priority


System Level Filtering

System Level Filtering is another level of packet filtering in Outpost Firewall besides Application Level Filtering. It consists of:

  1. System rules that let you create a rule that will be applied to all applications or rules that will allow or block low level system network activity.

  2. Stealth mode settings lets you decide if your computer will respond to port scans or will silently block them, putting your computer in "stealth mode" to crackers.

  3. ICMP filtering that lets you decide what types of ICMP message will be allowed or blocked.


System rules

Working with System Rules

System rules can be used for two purposes:

  1. To create a rule that will be applied to all applications.

  2. To create a rule that will allow or block low level system network activity.

Right after installation, Outpost Firewall has built-in presets for the following system activities:

    • DNS Resolving

    • Outgoing DHCP

    • Inbound Identification

    • Broadcast/Multicast

    • Inbound/Outbound loopback

    • GRE Protocol

    • PPTP Control connection

    • Remote Procedure Call (RPC)

    • Server Message Block (SMB) Protocol

Important

These settings are for advanced users only. If any are incorrectly changed for your system or network, it could result in your firewall not working as expected. In most cases, you do not need to change these rules or add yours.

Related Topics

Listing system rules

Adding system rules

Modifying system rules

Copying system rules

Removing system rules

Disabling system rules

Changing system rule priority


Listing System Rules

To show a list of all system rules:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field.

You will see a list of all the system rules sorted by their priority.

Related Topics

Copying system rules

Removing system rules

Disabling system rules

Changing system rule priority


Adding System Rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To add a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Click Add

  5. Select the Event to which the rule applies. You can select the criteria for your rule in the Select Event window:

    • Protocol

    • Direction

    • Remote host and port

    • Local host and port

    • Time interval

  6. Selecting a checkbox, in the Select Event window, adds its message to the Rules Description field. If a rule is listed as undefined, you should click on it and select one of its options.

  7. Select an action for your rule in the Action field. It can be:

    • Allow it - Allows this communication.

    • Block it - Drops the packet. The source is not notified, so it appears that the packet never arrived at the destination.

    • Report it - Displays a message box when a rule is triggered.

    • Run application - Runs any application when a rule is triggered.

    • Stateful Inspection - activates Stateful Inspection

  8. Assign a name to the rule in Name of the Rule field.

  9. Click OK.

Related Topics

Listing system rules

Copying system rules

Removing system rules

Changing system rule priority


Modifying System Rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To modify a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to modify

  5. Click Edit

  6. Modify a rule by adding new criteria or clicking on the blue links in Rule Description field and changing the old values

  7. Click OK.

Related Topics

Listing system rules

Copying system rules

Removing system rules

Disabling system rules

Changing system rule priority


Copying System Rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To copy a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to copy

  5. Click Copy.

After that Outpost Firewall will create a copy of this rule.

Related Topics

Listing system rules

Adding system rules

Removing system rules

Disabling system rules


Removing System Rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To remove a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to remove

  5. Click Remove.

Note

It is not recommended to remove a built-in System Rule. If you do not need it you can disable it.

Related Topics

Listing system rules

Modifying system rules

Disabling system rules

Changing system rule priority


Disabling System Rules

To disable a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to disable

  5. Uncheck the checkbox on the left site of the rule.

Related Topics

Listing system rules

Removing system rules

Changing system rule priority


Changing System Rule Priority

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To change a rule priority:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule to be modified

  5. Click on Move Up to increase rule priority or Move Down to lower it.

  6. Click OK.

Important

Outpost Firewall uses the first instance of a rule having criteria that match the system's activity and ignores all subsequent ones. The rules in the firewall rules list are processed in the order in which they are listed. Once a rule is matched, searching of the rules list stops. In other words, any other rules that match this type of communication are ignored, if they are further on the list than the first rule that matches.

Related Topics

Listing system rules

Adding system rules

Modifying system rules

Disabling system rules


ICMP Filtering

ICMP Filtering lets you specify the types and directions of ICMP messages allowed. The different types of ICMP messages are listed in Types of ICMP Messages.

If you wish to change what ICMP messages you want to allow and want to block:

  1. Select Options

  2. Select System

  3. Click Settings in ICMP field

  4. Uncheck the appropriate checkbox for the messages you want to block and check those messages you want to allow.

  5. Press OK.

Important

It is recommended that you do not change the ICMP settings unless you are certain that you are making the right changes. If any are incorrectly changed for your system or network, it could result in your firewall not working as expected.

Note

The Default button on the ICMP settings dialog resets all the ICMP settings to what they were when Outpost Firewall was first installed.


Switching to Stealth Mode

Normally, when your computer receives a connection request from another computer it lets the other computer know that this port is closed. In stealth mode, your computer will not respond, making it seem like it is not turned on or not connected to the Internet.

To switch Stealth mode on or off:

  1. Select Options

  2. Select System

  3. Select Stealth in Firewall Mode field to make your computer "stealth" or select Normal to make your computer "visible".

Note

It is recommended that you keep Outpost Firewall in stealth mode unless you have some reason not to.


About Components Control

About Component Control

It is important to note that Outpost Personal Firewall does not just monitor applications. It also monitors each component of each application. This is a significant improvement over other personal firewalls because applications typically have dozens of modules, any of which can easily be substituted for by virus or Trojan makers.

If a component of an application has been changed and the application is about to establish a connection, Outpost Firewall will ask you to allow or permit this changed component. The purpose of Component Control is to make sure these components are not fake and malicious.

Some Trojan horses can be injected into a computer system as a module of a legitimate application (for example, your browser) and thus gain the privileges needed for it to connect to the hacker who configured the Trojan.

Outpost Firewall allows you to view the components it monitors for each application. It also allows you to remove any monitored component from the trusted list.

Outpost Firewall uses three levels in Component Control:

    • Normal – monitors all new and updated components and remembers the legitimate ones.

    • Maximum – monitors all components.

    • Off – switches off Component Control so that it no longer monitors each component of applications.

Related links

Viewing Components

Changing Component Control Levels

Removing Components


Viewing Components

To view the list of monitored components of an application:

1. Select Options

2. Select Applications

You will see a list of all applications that have rules sorted by their status (Blocked, Trusted, Partially Allowed).

3. Press the Components... button.

4. You will see the Components dialog window.

Notes

1. The components list gives you detailed information of each component. This information includes:

    • The application the component is used by (in brackets).

    • Component name.

    • Component description.

2. The properties of each component can be seen by highlighting the component and pressing the Properties button.

Related links

About Component Control

Changing Component Control Levels

Removing Components


Changing Components Control Levels

Changing Component Control Levels

Outpost Firewall uses three levels in Component Control:

  • Normal – monitors all new and updated components and remembers legitimate ones.

  • Maximum – monitors all components.

  • Off – switches off Component Control so it no longer monitors each component of applications.

Changing levels affects all applications and their components. It is not possible to change the level for only one application.

To switch levels:

1. Select Options

2. Select Applications

3. Press the Components... button.

4. You will see the Components dialog window.

5. Choose the desired Component Control level from the drop down menu at the top.

6. Press the OK button.

Note

We do not recommend using the Paranoid Control Level unless you are sure your system is being threatened by a virus, Trojan or other malicious program you have detected.

Related links

About Component Control

Viewing Components

Removing Components


Removing Components

Advanced users can manually remove a component from the list of monitored components. We do not recommend that rookie users remove components as doing so could pose a very serious security risk. However, if a component was allowed by mistake you can and should manually remove it from the Trusted List.

To remove a component from the Trusted List:

1. Select Options

2. Select Applications

3. Press the Components... button.

4. You will see the Components dialog window.

5. Highlight the distrusted component.

6. Press the Remove button.

7. Press OK.

Related links

About Component Control

Viewing Components

Changing Component Control Levels


About LAN Settings

A fundamental difference between a local area network (LAN) and the Internet is the level of trust you can have in each. A LAN used in the home or an office is generally comprised of “friendly” computers, computers belonging to or operated by other family members or fellow workers.

All computers on a LAN can be assigned with three levels of access to your computer:

  • NetBIOS access (only for files and printers sharing between the LAN and your computer)

  • Trusted (all connection to and from the network will be allowed)

  • Limited Access to LAN (NetBIOS communications will be blocked, all other communications will be covered by applications and system rules).

So when you add new network address to the LAN settings you can assign that address (or network) with the access level mentioned above.

Note

Please note that Outpost Firewall plug-ins are independent from the Trusted access level. For example, even if we add www.agnitum.com to the Trusted network addresses, Outpost Firewall plug-ins will still block banners, active content and other things from this site regardless.

Related Links

Detecting your Local Area Network

Configuring network settings

Adding network or host

Removing remote network or host


Detecting your Local Area Network

Normally your Local Area Network (LAN) should be detected and configured during the installation of Outpost Firewall. But if you deselected Auto-configure network settings option during the installation or/and removed all detected networks, then you will have to detect your LAN from the scratch in order to normally use the LAN.

To detect your network automatically:

1. Select Options

2. Select System

3. Press the Settings in the LAN Setting field.

4. You will see the LAN Settings dialog window

5. Press the Detect button to detect your LAN

6. Your LAN address will appear in the LAN Settings window.

Please note that your LAN is given NetBIOS access level by default. To learn more about how to change access levels please see Configuring network settings

7. Press OK

Note

In order to let Outpost Firewall automatically detect and auto-configure new Local Area Network and its settings make sure “Auto-detect new network settings” (at the bottom of the window) is check-marked.

In case if Outpost Firewall cannot detect your LAN automatically you can add the network address manually. For more info please see Adding network or host.

Related Links

About LAN Settings

Configuring network settings

Adding network or host

Removing remote network or host


Configuring Network Settings

To change the network access level for the Local Area Network or other network address:

1. Select Options

2. Select System

3. Press the Settings in the LAN Setting field.

4. You will see the LAN Settings dialog window

5. Highlight the desired Network Address

6. Choose one of the following actions:

    • Left-click on the empty box under the NetBIOS column in the highlighted row to enable your computer to use NetBIOS communications (only for files and printers sharing) between that network address and your computer

    • Left-click on the empty box under the Trusted column in the highlighted row to allow all incoming and outgoing connection to and from that network address.

    • Left-click on the check-marked boxes under the Trusted and NetBIOS columns in the highlighted row to make both these boxes empty to change the access to Limited Access to LAN (NetBIOS communications will be blocked, while all other communications with that network address will be covered by applications and system rules).

7. Press OK

Related Links

About LAN Settings

Detecting your Local Area Network

Adding network or host

Removing remote network or host


Adding Network or Host

If you want to add another network or remote host to the LAN settings list or by some reasons Outpost Firewall did not detect your network automatically you can do it manually.

1. Select Options

2. Select System

3. Press the Settings in the LAN Setting field.

4. You will see the LAN Settings dialog window

5. Press the Add button to add new network address

6. You will see the Network Address window

7. Select the format you wish to use to enter a remote address

Domain name (www.agnitum.com for example)

IP number (216.12.219.12 for example)

IP range (216.12.219.1 - 216.12.219.255 for example)

8. Type the desired remote host address in the format you selected earlier

9. Click on the Add button

10. Click OK

11. New network address will appear in the LAN Settings window.

Note: After adding the network address you can change its access level by check-marking the desired box in the appropriate column (NetBIOS, Trusted). For more information please see Configuring network settings

Related Links

About LAN Settings

Detecting your Local Area Network

Configuring network settings

Removing remote network or host


Removing Remote Network or Host

In case you do not want the network address to appear in your LAN settings list you can remove it from the list.

To do this:

1. Select Options

2. Select System

3. Press the Settings in the LAN Setting field.

4. You will see the LAN Settings dialog window

5. Highlight the desired Network Address

6. Click the Remove button to remove the network address

Note

Actually removing the address from the list means the same as keeping the corresponding boxes under NetBIOS and Trusted columns empty (Limited Access to LAN level).

Warning: Removing network address from the list means NetBIOS communications will be disallowed for that address.

Related Links

About LAN Settings

Detecting your Local Area Network

Configuring network settings

Adding network or host


Adding a Plug-In

To add a plug-in to Outpost's plug-in list:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Click on Add

  4. Browse to the folder where you have installed the plug-in and click on its name

  5. Press OK.

Related Topics

Removing a Plug-in

Starting a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings


About Outpost Plug-Ins

One of Outpost Firewall's most useful and effective design strategies is the employment of plug-ins. These modules can be created by third party developers and easily added to increase Outpost Firewall's capabilities. If you are interested in developing Outpost Firewall plug-ins, please visit http://www.agnitum.com/products/outpost/developers.html for samples, tutorials and the developer's forum.

Outpost Firewall also automatically downloads latest plug-ins announcements from the Agnitum site to keep you aware of the plug-in updates.

Tip

If you wish to disable this feature, right-click Plug-ins from the Tree panel and clear Enable plug-ins information download option.

The following topics describe how to use Outpost Firewall to control plug-ins:

Adding a Plug-in

Removing a Plug-in

Starting a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings

Important

Plug-Ins are absolutely independent from each other and the main Outpost Firewall module. Any rules that you create for an application in Outpost Firewall, such as the Trusted Zone settings, will not influence or apply to any plug-in's functionality.


Removing a Plug-In

To remove a plug-in from Outpost's plug-in list:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to remove

  4. Click on Remove.

Related Topics

Adding a Plug-in

Starting a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings


Starting a Plug-In

To start Outpost's plug-in:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to start

  4. Click on Start.

Note

You can start only those plug-ins that have the status Stopped.

Related Topics

Adding a Plug-in

Removing a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings


Stopping a Plug-In

To stop Outpost's plug-in:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to stop

  4. Click on Stop.

Note

You can start only those plug-ins that have the status Started.

Related Topics

Adding a Plug-in

Removing a Plug-in

Starting a Plug-in

Changing a Plug-in's settings


Changing a Plug-in settings

Changing Plug-In Settings

To change the settings of Outpost's plug-in:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to change settings

  4. Click on Settings.

Note

You can change the settings of Outpost's plug-in only for those plug-ins that has status Started.

Related Topics

Adding a Plug-in

Removing a Plug-in

Starting a Plug-in

Stopping a Plug-in


List of Outpost Plug-Ins

The following plug-ins are included in the distribution package:

Advertisement Blocking

Intrusion Detection

Content Filtering

Domain Name Cache

Active Content Filtering

Incoming File Guard


Automatically Check for Updates

With Automatic Update, you never have to be concerned about the latest Internet threats. Outpost Firewall provides you with a convenient way of keeping itself updated via the Internet. Each day, Automatic update checks for newer components and plug-ins and if it finds any, it retrieves them for you.

To enable Automatic Update:

1. Select Tools from Outpost Firewall's menu

2. Select Automatically check for Updates.


Custom Update

If you select Custom update, you will see the component selection dialog.

Any line in the components list that starts with a plus sign is a grouping of components. You can see the listing of these components by clicking on the plus sign. A red checkmark is a component that our engineers have determined must be updated for Outpost Firewall to avoid compatibility problems between modules and other selected components.

Check the components you want to update. De-select the components you do not want to update. It is recommended to update all components unless you are an advanced user and have some reason not to.


Installing new version manually

Installing a New Version manually

To install a new version without using Agnitum Update:

  1. Download latest version from http://www.agnitum.com/download/

  2. Close all open applications.

  3. Run the newer version

  4. Follow the instructions.

Note

All settings of the previous Outpost Firewall version (i.e. application rules) will be automatically saved and imported to the new version.

Related Topics

Updating Outpost Firewall

Automatically check for Updates


Selecting the Proxy Server

To select a Proxy server for Agnitum Update:

  1. Click the Start button on Windows' Task Bar.

  2. Select Programs.

  3. Select Agnitum | Outpost Firewall Pro 2.1 | Agnitum Update

    • Click on the Settings button. Configure Proxy settings using the following options:

    • Auto Detect uses the proxy settings already specified in Microsoft Internet Explorer.

    • Use proxy server lets you specify the parameters of the proxy server that is to be used by Outpost Firewall's Automatic Update. The Server and Port fields become visible when you choose this option. Enter the name of your proxy server and its port number (port 8080 is the default). If your proxy server requires authorization, please check the appropriate checkbox and enter your username and password. If you are unsure what type of proxy you use or you do not know your username and password, please consult your system administrator.

    • Do not use proxy server if your system is not connected to the Internet through a proxy server.

4. Click OK.


Selecting the Type of Update

To select a type of update for Agnitum Update:

  1. Click the Start button on Windows' Task Bar.

  2. Select Programs.

  3. Select Agnitum | Outpost Firewall 2.1 Pro | Agnitum Update.

  4. Then select one of the available options:

    • Automatic to have the system find all the components to be updated. Automatic is recommended so that all the components that have an update available will be updated together.

    • Custom for you to specify each component you want to be updated. Only advanced users should use this choice for debug purposes.

5. Press Next.

Related Topics

Custom Update


Updating Outpost Firewall

To check for newer components:

  1. Click the Start button on Windows' Task Bar.

  2. Select Programs.

  3. Then select Agnitum | Outpost Firewall 2.1 Pro | Agnitum Update.

Note

The Outpost version is changed only after a reboot of your computer. If you simply restart Outpost, it will be the same version. To see what version is active, select from the menus Help - About

Related Topics

Automatically check for Updates

Selecting the Proxy Server

Selecting the Type of Update

Installing a new version manually


Glossary

ActiveX - is a technology for creating active web pages. This technology is implemented with the ActiveX control element-a dedicated program, for which the browser allocates an area of rectangular form, where this program is completely responsible for the interface with the user. The ActiveX technology supports fully automated installation. When the browser encounters an HTML link to the control element, it first checks if this element is already on the user's computer (i.e. if it was used before). If the control element is found, the browser starts it and transfers the data necessary for operation to it. If this component is not already available on the computer, the browser accesses the web address specified in the HTML document body, then downloads, installs and registers the new control element with Windows. This technology is rigidly bound to the specific operational environment of Windows 9x/NT.

Bandwidth - the maximum speed of data that can be sent or received on a connection. High bandwidth is needed to receive video or music and play it in real time.

Banner - is generally a rectangular, graphic representation of an advertisement in GIF or JPG format located on a web page with a hyperlink to the advertiser's server.

Broadcast - is a special kind of IP address used to dispatch a message to all nodes of a network. There are two forms: limited broadcast or limited broadcasting message - if every binary bit in the IP address is a 1, the package is dispatched to all network nodes from where the source of the package is. Broadcast or broadcasting message - if every binary bit in the node number in the address is a 1, then the package having such an address is dispatched to all network nodes with the specified number.

Client - is a computer or its software that accesses the Internet, as opposed to a server.

Context menu - a menu with selections that change depending on where the cursor is placed before the mouse's right button is clicked. A desktop icon's context menu is very different from a browser's web page context menu, for instance.

Cookie - is a small piece of information transferred by the server to a browser and saved on the user's computer. The browser stores this information and sometimes transfers it to the server. Some cookies are stored only during one session and deleted when the browser is closed. Other cookies are installed for an extended period.

Cracker - is someone who gains unauthorized access to a computer.

Datagram - is the unit of data, or packet, transmitted in a TCP/IP network. Each datagram contains source and destination addresses and data.

DHCP (Dynamic Host Configuration Protocol) - is a protocol intended for dynamic assignment of IP addresses. In addition to dynamic assignment, DHCP can support simpler methods of static assignment of addresses allowing addresses to be assigned both manually and automatically. DHCP can cause problems. First is the problem of coordinating the address database in DHCP and DNS services. Second is an instability of the IP addresses that complicates network control procedures.

DNS (Domain Name System) - is a system of names officially assigned to individual networks and servers on the Internet as an easier method of remembering those names than a string of IP numbers. Example: www.agnitum.com is easier to remember than the IP address 216.12.219.12. The DNS service automatically translates the name to its corresponding IP address. The DNS system requires a static configuration of its tables, which define the one to one correspondence of computer names and IP addresses.The DNS protocol is an auxiliary service protocol at the application level. This protocol is an asymmetric one - DNS servers and DNS clients are defined in it. DNS servers store a part of the distributed database that contains the correspondence of names and IP addresses. This database is distributed according to administrative domains on the Internet. Clients of the DNS server know the IP address of the server of their administrative domain and they transfer a request with the DNS name according to the IP protocol, and then wait for the IP address that corresponds to this name. If the requested information is stored in the DNS server's database, the server immediately transfers the answer to the browser. Otherwise, the server transfers a request to the DNS server of another domain, which can either process the request itself or transfer it to another DNS server. All the DNS servers are integrated in the hierarchical structure according to the domain hierarchy of the Internet. A client (browser) interrogates these name servers until it finds the necessary correspondence. The DNS database has a tree structure called a domain area of names, in which each domain (a node of the tree) has a name and can contain sub-domains. The name of a domain identifies its position in this database in relation to the parent domain, and points in the name separate parts corresponding to the domain nodes.

DNS address - is a network address of a character type, in which the names of different domains are separated from each other by a dot (.). This address corresponds to the network address in the DNS database. Example www.agnitum.com.

DoS (Denial of Service) attack - is an attack on one's computer from other computers on a network or the Internet. This type of attack takes advantage of errors in network software or protocols and results in a disturbance of the normal operating conditions of your computer.

Firewall - a software or hardware device used as a protective barrier between a computer and the network that computer is connected to.

FTP (File Transfer Protocol) - is an Internet service for transferring files from one computer to another.

Gateway - is a computer connecting two networks and transmitting packages from one network to another (the same as a router).

GGP (Gateway to Gateway Protocol) - is a protocol two gateways use to interact with one another, specifically in executing control tasks.

GRE (Generic Routing Encapsulation) - is a way to connect very different computer systems so they can exchange data.

GUI (Graphics User Interface) - is the type of software interface most computer users have come to expect in the last decade. It uses button images, icons, desktop analogy, etc. Apple's Macintosh computer is one of the first popular computers with a GUI. MS Windows is a later GUI.

HTML (HyperText Markup Language) - is a language of tags that can be embedded into a text file that a browser uses to make a fancy web page and makes it easy to browse here and there over the Internet. With HTML a web page author can combine graphics with text, enhance that text appearance and add links in the page that can supply an interaction with the person viewing that page in a browser.

ICMP (Internet Control Message Protocol) - is used to send error and control messages between computers connected on a network.

IGMP (Internet Group Management Protocol) - is used by nodes and routers to support group dispatch of messages. It informs the physical network of the nodes that are currently combined into groups and to what groups those nodes belong.

IP (Internet Protocol) - is a network-level set of Internet protocols.

IP address - is an address comprised of 4 bytes, usually represented as 4 decimal numbers separated by a dot (.). Example: 64.176.127.178. The IP address is used at the network level. A network manager assigns it when configuring computers and routers. The IP address consists of two parts: the network number and the node number. The manager can select the network number arbitrarily if the network is not connected to the Internet. Otherwise, the IP address is assigned according to recommendations made by the special Internet subdivision (Network Information Center, NIC).

IP datagram - is the unit of data, or packet, transmitted in a TCP/IP network. Each datagram contains source and destination addresses and data.

Java - the trademarked named of a programming language designed to develop applications, especially ones for the Internet, that can operate on different platforms.

Java applet - is a computer program written in the Java programming language and is embedded in a web page. Although the program is integrated directly with a web page, it is stored as a separate file.

JavaScript - is a program embedded within a web page, generally with the purpose to enhance the viewer's experience when browsing that web page.

LAN (Local Area Network) - a small network of computers usually located within one building.

Loopback - is a special IP address (127.0.0.1) reserved for feedback when testing software on a node without having to dispatch the package on the network.

Multicast - is a special group of IP addresses beginning with the sequence 255. If a multicast address is specified as an assignment address in a package, all nodes having that address will receive that package. The nodes identify themselves by which groups they belong to. The same node can be included in several groups. Such messages are called group messages. A group address is not divided into network and node number fields and is processed by a router in a special way.

NetBIOS (Network Basic Input/Output System) - is a basic network protocol developed by IBM for sharing files and printers over a network. NetBIOS is supported by IBM (IBM PC LAN), Novell NetWare, Microsoft Windows for Workgroups networks and the networks of other companies.

Network - any collection of computers connected so that data can be exchanged between them.

Node - a network connection point, such as a personal computer in a LAN or a terminal connected to a minicomputer or mainframe.

Plug-In - is an independent component that can be added or removed from a software package to extend the capability of that software. The software must be designed and built to support plug-ins. Plug-In technology allows third party developers to create plug-ins specific to that software enabling the software to do many more things.

Port - is a number corresponding to data types so that different types of data can be efficiently sent to their appropriate application programs. A port is not a physical plug or socket. It is assigned in software only.

PPTP (Point-to-Point Tunneling Protocol) - is a technology that enables very secure communications over the Internet so they cannot be intercepted.

Preset - is a pre-defined setting or group of settings for an event or action. A preset can apply many settings simultaneously with one mouse click. This saves time for users who would otherwise need to apply each setting manually.

Protocol - is a set of accepted rules for a particular type of communication interchange. When two computers are programmed to use the same protocol when transferring data between them, that data will be correctly relayed. Otherwise, if two different protocols are being used, then the transfer of data will not occur.

Proxy server - is software that manages the connection between a sender and a receiver. All input is redirected to a different port, which prevents a cracker from accessing a private network.

Referrer - is part of the HTTP request that contains the URL of the last page visited before the request.

Remote Procedure Call - a simplified method of having two computers exchange data directly into each's running applications to make these data exchanges easier for the user.

Router - is a computer connecting two networks and transmitting packages from one network to other (the same as a gateway).

RPC (Remote Procedure Call) - supports distributed applications (those apps having components located on different computers). An application issues an RPC when it needs to use a function running on another computer in the same network. It is used in client/server applications that run on MS Windows.

Server - is a computer that sends files and web pages to client computers over a network.

Service protocols - a method used by a server to update information on a client machine.

SMB (Service Message Block) - is a method of sharing network files that is used with NetBIOS. SMB works mainly through a series of client requests and server responses. SMB client and server software exists in practically all versions of Microsoft Windows.

Spyware - is hidden software or a concealed part of some software that is secretly or unknowlingly installed on your computer. Spyware collects information (usually for marketing purposes) and sends it - without the user’s knowledge - to the author or organization that originated the spyware.

SSL (Secure Sockets Layer) - is a special protocol designed to support safe access to web servers. This is a dominating protocol for encoding exchange between a client and server.

Stateful Inspection - Stateful inspection firewall technology keeps a table of active TCP and UDP sessions and is more secure than packet filtering because it allows smaller paths along which traffic can pass.

Stealth mode - a condition by which a computer can access the Internet without letting other computers (possibly those owned by crackers) know that it is doing so.

System tray - that part of Windows' task bar that contains the time and the icons of each program that is running or that can be instantly launched.

Task bar - that part of Window's that shows a button for each running application.

TCP (Transmission Control Protocol) - is a main traffic protocol ensuring reliable delivery of information. TCP connection is always carried out between two points.

Telnet (Telecommunications Network Protocol) - is a program for linking Internet tools, such as browsers, with databases, library directories and other world-wide information resources.

Trojan horse - is a program surreptitiously placed on your computer that establishes a connection to a remote intruder. The Trojan operates under the instructions arriving from the attacker's computer or automatically transmits the information the intruder programmed it to transmit. This information is generally passwords or other confidential data stored on the user's computer.

UDP (User Datagram Protocol) - is a protocol that provides simple, low-level tools of transmission and reception of network packets directly to applications. The UDP protocol does not control the data transfer and does not define a correlation between the individual messages received or sent. Since UDP does not guarantee a reliable data transfer, applications using this protocol usually number each package and, if necessary, initialize a data retransmission. All applications that require a broadcasting or group function of IP connections should operate only with the UDP protocol.

URL (Universal Resource Locator) - is a World Wide Web universally recognized address for the identification and retrieval of resources such as a web site, a web page, an image, a video, a file, etc. A URL has the following appearance: [protocol]://host /[: port][path], where: Protocol is a protocol name such as http, ftp etc. If no protocol is specified, http is assumed. Host is the IP address or DNS address. Port is an optional parameter specifying the port number of the server. Example, with the http protocol, port 80 is generally used and is assumed if no port is specified with the http protocol. Path is the full path to the file, including its name. If the path is not specified, the server transmits its main (home) page.

VBScript - is a program embedded within a web page, generally with the purpose to enhance the viewer's experience when browsing that web page.

Virus - a piece of software, generally detrimental, that can copy itself into an application and thereby multiply from one computer to another by way of floppies or e-mail without the user's consent or knowledge.

Web - is an abstract Internet space, in which a user can access multiple file types and archives connected by hyperlinks. See also HTML.

Worm (also known as I-Worm or Internet Worm) - is a self-replicating program that reproduces itself over a network. They can damage file systems and/or simply use up bandwidth. Worms generally use e-mail clients to replicate themselves over networks. Worms became infamous when Robert Morris at Cornell created one that shut down many Unix computers on the Internet in 1988. Recent worms are: CodeRed, Nimda and Klez.


About settings password protection

About Password Protection

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

You can safeguard the settings you give Outpost Firewall by selecting a password. This will prevent all the data you entered into Outpost Firewall from being changed. You can, for example, block access to objectionable sites for your children and know that your settings cannot be tampered with.

For more information about this topic please read:

Setting a password

Changing a password

Removing a password


Changing a Password

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To change a password for your settings:

  1. Go to Options menu

  2. Select General

  3. Select Set Password

  4. Type the old password in the Enter the old password field

  5. Type a new password in the Enter the new password field

  6. Type the same password in the Re-enter the new password field

  7. Click OK.

Important

Remember your password!

Related Topics

About password protection

Setting a password

Removing a password


Creating a New Configuration

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To create a new configuration:

  1. Go to the File menu

  2. Select New Configuration

  3. Select Save Configuration as

  4. Browse to the folder where you want to store your configuration and input its name in the File Name field

  5. Click on Save.

Note

Your previous configuration will not automatically be saved. Please save your previous configuration before making a new one.

Related Topics

Loading a configuration

Renaming a configuration


.General

.topic 0x80680006
DESCRIPTION !!!

.topic 0x80680007
DESCRIPTION !!!

.topic 0x808b0001
Applies and saves any changes you have made, and then closes this dialog box.

.topic 0x808b0002
The Cancel button closes this dialog box without saving any changes you have made. The Close button closes this dialog box and retains the changes you made.

.IDD_EDIT_RULES

.topic 0x808603fb
A list of possible actions that are possible for the application.

.topic 0x808603fa
A list of events that are possible for the application.

.topic 0x808603f3
The name of the rule.

.topic 0x808603f9
A description of the rule.

.IDD_CHANGE_PASSWORD (3/3) ************************************************************************

.topic 0x8098041a
An input field for your new password.

.topic 0x8098041c
An input field for your old password.

.topic 0x8098041b
An input field to confirm your new password.

.IDD_PAGE_GENERAL *********************************************************************************

.topic 0x83fc040d
Activates password protection.

.topic 0x83fc040e
Deactivates password protection.

.topic 0x83fc0408
Lets you set a password.

.topic 0x83fc0430
A checkmark specifies that the close button is to minimize the Outpost window rather than exit the application.

.topic 0x83fc042f
A checkmark specifies that Outpost is to be started minimized without a button on the Taskbar but its icon placed in the System Tray.

.topic 0x83fc045e
Loads Outpost Firewall automatically at system start-up and displays its icon in the System Tray.

.topic 0x83fc045f
Loads Outpost Firewall in invisible mode, without its system tray icon or any of its dialog windows.

.topic 0x83fc0460
Outpost Firewall is not loaded automatically at system start-up.

.IDD_PAGE_FIREWALL ***************************************************************************************

.topic 0x808c0407
Lets you add another application to the list of applications that Outpost is to manage.

.topic 0x808c0409
Lets you modify the settings for a highlighted application.

.topic 0x808c0408
Removes a highlighted application from the list.

.topic 0x808c041d
The list of applications that Outpost manages.

.topic 0x808c040a
Displays the list of components of each application.

.IDD_PAGE_SYSTEM (5) ******************************************************************************

.topic 0x83ea0409
Lets you configure the ICMP settings.

.topic 0x103
Lets you change the settings for your local area network, NetBIOS and trusted IP ranges.

.topic 0x83ea040a
Lets you configure the global application and system rules settings.

.topic 0x83ea03ef
A dot switches Stealth mode OFF.

.topic 0x83ea03ee
A dot switches Stealth mode ON.

.IDD_PLUGIN (6) ***********************************************************************************

.topic 0x806703e9
The list of plug-ins on your system that can be used by Outpost.

.topic 0x8067040b
Adds a new plug-in to the list.

.topic 0x8067040c
Removes a highlighted plug-in from the list.

.topic 0x806703e8
Lets you change a highlighted plug-in's settings.

.topic 0x80670407
Starts a highlighted plug-in running.

.topic 0x806703f8
Stops a highlighted plug-in.

.IDD_RULES ******************************************************

.topic 0x80840440
Lets you modify a highlighted rule.

.topic 0x80840441
Moves a highlighted rule down on the list of rules for this application. Moving a rule down decreases its priority because rules are followed in the sequence shown in this list.

.topic 0x80840442
Moves a highlighted rule up on the list of rules for this application. Moving a rule up increases its priority because rules are followed in the sequence shown in this list.

.topic 0x8084043f
Adds a new rule for this application.

.topic 0x80840445
Creates rules for the application modeled on the successful rules of a similar application.

.topic 0x80840443
Removes a highlighted rule.

.topic 0x101
The list of rules for this application. To make a rule active, check its box.

.topic 0x100
Copies a highlighted rule for this application.

.topic 0x102
A description of a highlighted rule.

.IDD_EDIT_RULES (4) *********************************************

.topic 0x808603fb
A list of possible actions that are possible for the application.

.topic 0x808603fa
A list of events that are possible for the application.

.topic 0x808603f3
The name of the rule.

.topic 0x808603f9
A description of the rule.

.IDD_LEARNING_DLG

.topic 0x80650064
Specifies that this activity should be allowed once.

.topic 0x80650065
Specifies that this activity should be blocked once.

.topic 0x806503ee
A dot specifies that all activities for this application should be allowed.

.topic 0x806503ef
A dot specifies that all activities for this application should be blocked.

.topic 0x806503f0
A dot specifies that a rule is to be created for this application based on an earlier (preset) rule that was set for a similar application. To create your own rule, select Other: from the drop down list and press OK.

.topic 0x806503e8
DESCRIPTION !!!

.topic 0
DESCRIPTION !!!

.topic 0
DESCRIPTION !!!

.IDD_PAGE_LAYOUT

.topic 0x808f03f8
A checkmark means the Allowed folder is to be displayed.

.topic 0x808f03ff
A checkmark means the Blocked folder is to be displayed.

.topic 0x808f03fd
A checkmark means the Network Activity folder is to be displayed.

.topic 0x808f03f3
A checkmark means the folder bar is to be displayed.

.topic 0x808f03f5
A checkmark means the status bar is to be displayed.

.topic 0x808f03f4
A checkmark means the toolbar bar is to be displayed.

.topic 0x808f03fe
A checkmark means the Open ports folder is to be displayed.

.topic 0x808f0400
A checkmark means the Reported folder is to be displayed.

.IDD_TIMEINTERVAL (10) ****************************************************************************

.topic 0x80bc03f1
The list of all the times the rule is active.

.topic 0x80bc03f2
Adds a time when the rule is active.

.topic 0x80bc03e9
Specifies the rule is to be active every day.

.topic 0x80bc03e8
A place to select when the rule is to be active.

.topic 0x80bc03ec
Used to specify the start of a time interval.

.topic 0x80bc03eb
Specifies the rule is to be active only for specific time intervals.

.topic 0x80bc03f3
Lets you modify a highlighted rule in the list of times the rule is active.

.topic 0x80bc03ea
Specifies the rule is to be inactive.

.topic 0x80bc03f4
Removes the time a rule is active.

.topic 0x80bc03ed
Used to specify the end of a time interval.

.IDD_FILTER ()

.topic 0x80b903f7
A drop down list of items to show in the history.

.topic 0x80b90439
An input field to enter the date that filtering should begin from.

.topic 0x80b903ed
If selected (with a dot) specifies that filtering should start from a particular date and/or time.

.topic 0x80b903ec
If selected (with a dot) specifies that logs should be shown from the beginning.

.topic 0x80b9043a
An input field to enter the time that filtering should begin from.

.topic 0x80b9043b
An input field to enter the date that filtering is to continue until.

.topic 0x80b903ef
If selected (with a dot) specifies that filtering is to finish at a specific date and time.

.topic 0x80b903ee
If selected (with a dot) specifies that logs are to be shown up to the latest entry.

.topic 0x80b9043c
An input field to enter the time that filtering is to continue until.

.topic 0x80b903f8
An input field to enter the condition to be shown in the history.

.IDD_PAGE_COMMON_NEW

.topic 0x83f70444
Copies a highlighted rule.

.topic 0x83f703f4
Lets you modify a highlighted rule on the list.

.topic 0x83f703f8
Moves a highlighted rule down in the list. Moving a rule down decreases its priority. The list shows the sequence each rule is used.

.topic 0x83f703f7
Moves a highlighted rule up in the list. Moving a rule up increases its priority. The list shows the sequence each rule is used.

.topic 0x83f703f2
Adds a new rule to the list.

.topic 0x83f703f5
Removes a highlighted rule from the list.

.topic 0x83f703f6
The list of global application and system rules. To make a rule active, check its box.

.IDD_LEARNING_IPPROT_DLG

.topic 0x83fb03ee
Select this to allow all communication via this protocol.

.topic 0x83fb03ef
Select this to block all communication via this protocol.

.topic 0x83fb03f0
Select this to create custom rules for this protocol.

.IDD_LAN_SETTINGS (5) *****************************************************************************

.topic 0x806a03f4
Lists the LAN settings.

.topic 0x806a0461
Automatically detects any new networks so you don't have to add them manually.

.topic 0x806a03f2
Adds a new LAN setting to the list.

.topic 0x806a03f8
Detects your network automatically.

.topic 0x806a03f3
Removes a highlighted line from the list

.IDD_RUNAPP (2) ***********************************************************************************

.topic 0x806603e8
The application that will be run when the rule is triggered.

.topic 0x806603e9
Lets you browse your computer and select the application to be run.

.UNKNOWN

.topic 0
DESCRIPTION !!!

.topic 0x808e040a
List of firewall policies.

.TOOLBAR (7) **************************************************************************************

.topic 0x00008047
Changes Outpost Firewall's policy.

.topic 0x00008009
Accesses the Options dialog window.

.topic 0x0000801E
Changes the listed item grouping.

.topic 0x00008020
Narrows a log listing to events within a specified time.

.topic 0x0000805D
Checks for an update of Outpost Firewall's plug-ins or components.

.topic 0x00009C5F
Opens Outpost Log Viewer that displays the logs.

.topic 0x0000E145
Displays Outpost Firewall's Help Topics.

.topic 0x0000E801
Displays description of highlighted items and info about current policy mode.


Loading a Configuration

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To load a previously saved configuration:

  1. Go to the File menu

  2. Select Load Configuration

  3. Browse to the folder where you previously saved your configuration and click on the name of the configuration you want to load

  4. Click Load.

Note

Your previous configuration will not automatically be saved. Please save your previous configuration before loading a new one.

Related Topics

Creating a new configuration

Renaming a configuration


Miscellaneous Options

To open Outpost Firewall's miscellaneous options window:

  1. Go to Options menu

  2. Click General.

In the Miscellaneous area of the dialog is where you can select or deselect to have Outpost Firewall start automatically whenever your computer first starts. Select Minimize to System Tray to not have a button placed on the task bar for Outpost Firewall's main window whenever it is minimized. Instead of this, to see Outpost Firewall's main window, simply double-click on its system tray icon or right click on it and select Show Outpost Firewall.

If Minimize main window on close is selected, then whenever you click on the close button only Outpost Firewall's dialog window will close, not the firewall. In this case, to close Outpost Firewall, right-click on its system tray icon and select Exit or Exit and Shutdown Outpost.


Multiple configurations

About Multiple Configurations

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

Outpost Firewall has many settings. Being able to save several different configurations of these settings lets you:

  • Create different configurations for you and your family or colleagues.

  • Prevent your children from accessing unwanted sites (sex, games, bomb making), from playing online games or chatting.

  • Switch, using one mouse click, between "Work", "Rest", "I am away", "Block Everything", and "Children" configurations.

  • Back up your configurations.

The following topics describe how to use Outpost Firewall multiple configuration feature:

Creating a new configuration

Loading a configuration

Renaming a configuration


Removing a Password

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To remove a password from your settings:

  1. Go to the Options menu

  2. Select General

  3. Select Disable in the Password protection field

  4. Type the old password in the Enter the old password field

  5. Click OK.

Related Topics

About password protection

Setting a password

Changing a password


Renaming a Configuration

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

Load the configuration that you want to rename, if it is not already loaded. Then:

  1. Go to the File menu

  2. Select Save Configuration as

  3. Browse to the folder where you want to store your configuration and input its new name in File Name field

  4. Click Save.

Related Topics

Creating a new configuration

Loading a configuration


Setting a Password

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To password protect your settings:

  1. Go to Options menu

  2. Select General

  3. Select Enable in the Password protection field

  4. Type a new password in the Enter the password field

  5. Type the same password in the Re-enter the password field

  6. Click OK.

Important

Remember your password!

Related Topics

About password protection

Changing a password

Removing a password


Start-up options

To open Outpost Firewall's start-up options window:

1. Go to Options menu

2. Click General.

In the StartUp area of the dialog is where you can choose the startup mode for Outpost Firewall.

There are three startup modes:

• Normal (loads Outpost Firewall automatically at boot-up and displays its icon in the System Tray).

• Background (Outpost Firewall will run in invisible mode, without its system tray icon or any of its dialog windows).

• Disable (Outpost Firewall will not run automatically at startup).

Note

Background mode is provided for two reasons: to save system resources and for a parent or Systems Administrator to block unwanted traffic or content in a way that's completely hidden from a user.

Related links

Miscellaneous options

Stopping Outpost Firewall


Stopping Outpost Firewall

Closing Outpost Firewall's main window does not shut down the firewall. Its icon remains in the system tray.

There are two ways to shut down Outpost Firewall:

  • Right-click on the system icon to display the context menu. Select Exit and Shutdown Outpost. This closes the interface and stops the firewall so Outpost Firewall is no longer protecting your system.

  • When Outpost Firewall's main window is displayed, go to the File menu and select Exit. This closes Outpost Firewall's interface but leaves the firewall running in memory, blocking connections and banners, etc.

Important

When Outpost Firewall is shut down, its icon disappears from the system tray indicating that the firewall is no longer protecting your computer.